import os

from aiogram import Router, types, F
from aiogram.filters import Command

from main import bot_chat
from dotenv import load_dotenv

load_dotenv()

router = Router()


# Словарь для хранения состояния пользователя
user_states = {}


@router.message(Command("start"))
async def cmd_start(message: types.Message):
    """ Основное меню """
    keyboard = types.InlineKeyboardMarkup(
        row_width=1,
        inline_keyboard=[
            [types.InlineKeyboardButton(text="Навигация канала", callback_data="channel_navigation")],
            [types.InlineKeyboardButton(text="Бесплатная консультация", url=os.getenv("MANAGER"))],
            [types.InlineKeyboardButton(text="Юрист", url=os.getenv("LAWYER"))]])
    # Отправляем меню пользователю
    await message.answer("Добро пожаловать! Выберите опцию:", reply_markup=keyboard)


@router.callback_query(F.data == "channel_navigation")
async def channel_navigation(callback_query: types.CallbackQuery):
    """ Обработка нажатия на кнопку "Навигация канала" """
    chat_id = os.getenv("CHAT_ID")
    await bot_chat.send_message(
            chat_id=chat_id,
            text="Дорогие, клиенты 💚 Данный чат создан для того, чтобы оперативно сообщать Вам о ходе завершения"
                 " Вашей процедуры, а также давать ответы на все Ваши вопросы✅\n Просим обратить внимание,"
                 " что юристы в чате работают и отвечают по следующему графику:\n Пн-Вс с 8:00 до 20:00📍по"
                 " московскому времени.\n В нашем чате, мы также публикуем полезные материалы и истории наших клиентов."
                 " Для просмотра существует навигация по хештегам:\n #отзывы\n #яоплачу\n #обязаны_знать"
                 "\n #зарабатывай_с_нами\n "
                 "#завершенные_дела\n С понедельника по пятницу в 11:00 по МСК мы публикуем списки дел, которые"
                 " завершились вчера, поэтому ищите себя в списках🥳🫶")
    # await callback_query.message.delete()
